This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 114175 - Linking a shared library on RedHat 7.3 or RHEL3 produces undefined symbol __pure_virtual
Linking a shared library on RedHat 7.3 or RHEL3 produces undefined symbol __p...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc3 (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 11:44 EST by Michael Pfrommer
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 09:39:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Pfrommer 2004-01-23 11:44:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322; .NET CLR 1.0.3705)

Description of problem:
This bug does not occur on RedHat 7.1.  It has come up during our 
migration to RHEL3.  It also occurs on RedHat 7.3.

We create a shared library, libpvc.so, which gets loaded by the Sun 
java plugin in the Mozilla browser.  When we upgraded our build 
machine to RedHat Linux 7.3 or RHEL3, the plugin began to fail.  

After investigation, it was failing to load with undefined symbol 
__pure_virtual.  If we link with the same libraries on RedHat 7.1, 
__pure_virtual is defined.  

RedHat 7.1:

stpeter.ptc.com:spg [13] nm libpvc.so | grep pure
007a9c54 T __pure_virtual

RedHat 7.3 or RHEL3:

pawnee.ptc.com:spg [72] nm libpvc.so | grep pure
         U __pure_virtual



Version-Release number of selected component (if applicable):
gcc-2.96-113 (7.3) or gcc-3.2.3-20 (RHEL3)

How reproducible:
Always

Steps to Reproduce:
1. Unzip attached  ptc_pvc_test.zip 
2. cd ptc_pvc_test
3. run script "make_pvc".  This will link libpvc.so with the objects 
in the directory
4. nm libpvc.so | grep pure

    

Actual Results:  pawnee.ptc.com:spg [72] nm libpvc.so | grep pure
         U __pure_virtual


Expected Results:  stpeter.ptc.com:spg [13] nm libpvc.so | grep pure
007a9c54 T __pure_virtual


Additional info:
Comment 1 Michael Pfrommer 2004-01-23 11:49:26 EST
Attachment ptc_pvc_test.zip is 8MB and was rejected.  It can be 
furnished upon request.
Comment 2 Richard Henderson 2004-10-04 04:34:02 EDT
Yes, we need the source to proceed.
Comment 3 Jakub Jelinek 2004-11-24 09:39:27 EST
If you have testcase, please reopen.

Note You need to log in before you can comment on or make changes to this bug.